
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Java Web程序实现返回JSON字符串的方法总结_java / iVAN</title>

    <meta name="description" content="Java Web程序实现返回JSON字符串的方法总结_java 基础铺垫在java中,关于json的lib有很多,比如jackjson.fastjson.gson等等,本人都用过,但是对于我等只需要让java对象返回json字符串即可的程序员来说,还是显得过于繁重.而且有些功能定制性很差,比如一个java对象的属性为空时,这些组件都不会输出,于是本人在页面循环遍历列表对象时,总是得判断此属性是否为undefined,这一点让本人很不满意.所以决定花点时间研究下到底是怎么回事. 但经过一上午的细看,发现不管是fastjson还是gson都代码都写得相当的复杂,">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Java Web程序实现返回JSON字符串的方法总结_java</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>基础铺垫<br /></strong>在java中，关于json的lib有很多，比如jackjson、fastjson、gson等等，本人都用过，但是对于我等只需要让java对象返回json字符串即可的程序员来说，还是显得过于繁重。而且有些功能定制性很差，比如一个java对象的属性为空时，这些组件都不会输出，于是本人在页面循环遍历列表对象时，总是得判断此属性是否为undefined，这一点让本人很不满意。所以决定花点时间研究下到底是怎么回事。</p>
<p>但经过一上午的细看，发现不管是fastjson还是gson都代码都写得相当的复杂，又没什么相关的文档与注释，最后放弃了。于是自己又在www.json.com上找到了相对很简单的返回json的java包，这个lib只需要5个java类即可运行，正合我意。需要注意的是，官方的JSONArray这个东西并不支持javabean的直接转换，比如List&lt;User&gt;这样的东西是不能转换的，必须要把它转换成List&lt;Map&gt;这样的格式，才能转换，所以我对它进行了改造。官方的文件有：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2NTI1MTYxMjQyNjIzLnBuZw==.jpg"></p>
<p>先介绍下基本用法。</p>
<p>处理基本的java对象使用JSONObject类，用法大体如下：</p>
<pre>
public void testMap(){
    Map&lt;String,Object&gt; map = new HashMap&lt;String,Object&gt;();
    map.put("name", "qiu");
    map.put("password", "123");
    map.put("address", "china");

    User user = new User();
    user.setUserName("qiuqiu");
    user.setPassword("123456");
    user.getTels().add("1234444556677");
    user.getTels().add("6893493458585");

    map.put("user", user);

    JSONObject json = new JSONObject(map);
    System.out.println(json.toString());
  }
</pre>
<p>如果是collection对象，则采用JSONArray类，用法如下：</p>
<pre>
public void testList() throws JSONException{
    List&lt;User&gt; list = new ArrayList&lt;User&gt;();

    User user = new User();
    user.setUserName("qiuqiu");
    user.setPassword("123456");
    user.getTels().add("1234444556677");
    user.getTels().add("6893493458585");

    User user2 = new User();
    user2.setUserName("中国");
    user2.getTels().add("1234444556677");
    user2.getTels().add("6893493458585");

    list.add(user);
    list.add(user2);

    JSONArray json = new JSONArray(list);

    System.out.println(json.toString(2));
  }
</pre>
<p>由上面的代码可以看出，这个lib的用法相当的简单，不像什么gson之类得新创建个对象，fastjson的API设计也有些不合理。上面的第二段代码中，有个toString(2)表示按换行缩进两个空格的方式输出。<br />
上面只是介绍了基本用法，但这并不是自己想要的，自己想要的是怎么让对象属性为空时返回一个空字符串，而不是什么都不返回。虽然只有5个类，但本人还是花了两三个小时的才找到地方，在JSONObject中有个叫populateMap的方法，在最后有小段代码：</p>
<pre>
Object result = method.invoke(bean, (Object[])null);
 if (result != null) {
   this.map.put(key, wrap(result));
 }
</pre>
<p> 即当调用get方法返回为null时，就不输出此属性。当然改起来就很简单了：</p>
<pre>
Object result = method.invoke(bean, (Object[])null);
this.map.put(key, result==null?"":wrap(result));
</pre>
<p>这样总算解决了本人想要解决的问题。当然这个lib是json官方自带的，写得相当的简单，比较适合一次数据只有几条或者几十条的情况，如分页显示等。如果一次传输数据量比较大的话，可以考虑使用fastjson等。但个人觉得对于大多数场合来说，最需要的是可定制性。比如偶尔发现个某组件不能满足的需要，结果此组件即无文档也无注释，代码又比较难理解，基本上跟没开源差不多，那就没什么意义了。</p>
<p><strong>实例总结<br /></strong></p>
<pre>
import java.io.IOException;
import java.io.PrintWriter; 

import javax.servlet.http.HttpServletResponse; 

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.serializer.SerializerFeature; 

/**
 *
 * Web服务端返回JSON工具类
 * 工具类依赖FastJSON
 * 工具类支持返回JSON和JSONP格式数据
 * @author accountwcx@qq.com
 *
 */
public class ResponseJsonUtils {
  /**
   * 默认字符编码
   */
  private static String encoding = "UTF-8"; 

  /**
   * JSONP默认的回调函数
   */
  private static String callback = "callback"; 

  /**
   * FastJSON的序列化设置
   */
  private static SerializerFeature[] features = new SerializerFeature[]{
    //输出Map中为Null的值
    SerializerFeature.WriteMapNullValue, 

    //如果Boolean对象为Null，则输出为false
    SerializerFeature.WriteNullBooleanAsFalse, 

    //如果List为Null，则输出为[]
    SerializerFeature.WriteNullListAsEmpty, 

    //如果Number为Null，则输出为0
    SerializerFeature.WriteNullNumberAsZero, 

    //输出Null字符串
    SerializerFeature.WriteNullStringAsEmpty, 

    //格式化输出日期
    SerializerFeature.WriteDateUseDateFormat
  }; 

  /**
   * 把Java对象JSON序列化
   * @param obj 需要JSON序列化的Java对象
   * @return JSON字符串
   */
  private static String toJSONString(Object obj){
    return JSON.toJSONString(obj, features);
  } 

  /**
   * 返回JSON格式数据
   * @param response
   * @param data 待返回的Java对象
   * @param encoding 返回JSON字符串的编码格式
   */
  public static void json(HttpServletResponse response, Object data, String encoding){
    //设置编码格式
    response.setContentType("text/plain;charset=" + encoding);
    response.setCharacterEncoding(encoding); 

    PrintWriter out = null;
    try{
      out = response.getWriter();
      out.write(toJSONString(data));
      out.flush();
    }catch(IOException e){
      e.printStackTrace();
    }
  } 

  /**
   * 返回JSON格式数据，使用默认编码
   * @param response
   * @param data 待返回的Java对象
   */
  public static void json(HttpServletResponse response, Object data){
    json(response, data, encoding);
  } 

  /**
   * 返回JSONP数据，使用默认编码和默认回调函数
   * @param response
   * @param data JSONP数据
   */
  public static void jsonp(HttpServletResponse response, Object data){
    jsonp(response, callback, data, encoding);
  } 

  /**
   * 返回JSONP数据，使用默认编码
   * @param response
   * @param callback JSONP回调函数名称
   * @param data JSONP数据
   */
  public static void jsonp(HttpServletResponse response, String callback, Object data){
    jsonp(response, callback, data, encoding);
  } 

  /**
   * 返回JSONP数据
   * @param response
   * @param callback JSONP回调函数名称
   * @param data JSONP数据
   * @param encoding JSONP数据编码
   */
  public static void jsonp(HttpServletResponse response, String callback, Object data, String encoding){
    StringBuffer sb = new StringBuffer(callback);
    sb.append("(");
    sb.append(toJSONString(data));
    sb.append(");"); 

    // 设置编码格式
    response.setContentType("text/plain;charset=" + encoding);
    response.setCharacterEncoding(encoding); 

    PrintWriter out = null;
    try {
      out = response.getWriter();
      out.write(sb.toString());
      out.flush();
    } catch (IOException e) {
      e.printStackTrace();
    }
  } 

  public static String getEncoding() {
    return encoding;
  } 

  public static void setEncoding(String encoding) {
    ResponseJsonUtils.encoding = encoding;
  } 

  public static String getCallback() {
    return callback;
  } 

  public static void setCallback(String callback) {
    ResponseJsonUtils.callback = callback;
  }
} 
</pre>
<pre>
/**
 * 在Servlet返回JSON数据
 */
@WebServlet("/json.do")
public class JsonServlet extends HttpServlet {
  private static final long serialVersionUID = 7500835936131982864L; 

  /**
   * 返回json格式数据
   */
  protected void service(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
    Map&lt;String, Object&gt; data = new HashMap&lt;String, Object&gt;(); 

    data.put("date", new Date());
    data.put("email", "accountwcx@qq.com");
    data.put("age", 30);
    data.put("name", "csdn");
    data.put("array", new int[]{1,2,3,4}); 

    ResponseJsonUtils.json(response, data);
  }
}
</pre>
<pre>
/**
 * Servlet返回JSONP格式数据
 */
@WebServlet("/jsonp.do")
public class JsonpServlet extends HttpServlet {
  private static final long serialVersionUID = -8343408864035108293L; 

  /**
   * 请求会发送callback参数作为回调函数，如果没有发送callback参数则使用默认回调函数
   */
  protected void service(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
    //客户端发送的回调函数
    String callback = request.getParameter("callback"); 

    Map&lt;String, Object&gt; data = new HashMap&lt;String, Object&gt;(); 

    data.put("date", new Date());
    data.put("email", "accountwcx@qq.com");
    data.put("age", 30);
    data.put("name", "csdn");
    data.put("array", new int[]{1,2,3,4}); 

    if(callback == null || callback.length() == 0){
      //如果客户端没有发送回调函数，则使用默认的回调函数
      ResponseJsonUtils.jsonp(response, data);
    }else{
      //使用客户端的回调函数
      ResponseJsonUtils.jsonp(response, callback, data);
    }
  }
} 
</pre>
<pre>
/**
 * 在Struts2中返回JSON和JSONP
 */
public class JsonAction extends ActionSupport {
  private static final long serialVersionUID = 5391000845385666048L; 

  /**
   * JSONP的回调函数
   */
  private String callback; 

  /**
   * 返回JSON
   */
  public void json(){
    HttpServletResponse response = ServletActionContext.getResponse(); 

    Map&lt;String, Object&gt; data = new HashMap&lt;String, Object&gt;(); 

    data.put("date", new Date());
    data.put("email", "accountwcx@qq.com");
    data.put("age", 30);
    data.put("name", "csdn");
    data.put("array", new int[]{1,2,3,4}); 

    ResponseJsonUtils.json(response, data);
  } 

  /**
   * 返回JSONP
   */
  public void jsonp(){
    HttpServletResponse response = ServletActionContext.getResponse(); 

    Map&lt;String, Object&gt; data = new HashMap&lt;String, Object&gt;(); 

    data.put("date", new Date());
    data.put("email", "accountwcx@qq.com");
    data.put("age", 30);
    data.put("name", "csdn");
    data.put("array", new int[]{1,2,3,4}); 

    if(callback == null || callback.length() == 0){
      //如果客户端没有发送回调函数，则使用默认的回调函数
      ResponseJsonUtils.jsonp(response, data);
    }else{
      //使用客户端的回调函数
      ResponseJsonUtils.jsonp(response, callback, data);
    }
  } 

  public String getCallback() {
    return callback;
  } 

  public void setCallback(String callback) {
    this.callback = callback;
  }
} 
</pre>
<pre>
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping; 

/**
 * Spring MVC返回JSON和JSONP数据
 */
@Controller
@RequestMapping("/json")
public class JsonController { 

  /**
   * 返回JSON数据
   * @param request
   * @param response
   */
  @RequestMapping("/json.do")
  public void json(HttpServletRequest request, HttpServletResponse response){
    Map&lt;String, Object&gt; data = new HashMap&lt;String, Object&gt;(); 

    data.put("date", new Date());
    data.put("email", "accountwcx@qq.com");
    data.put("age", 30);
    data.put("name", "csdn");
    data.put("array", new int[]{1,2,3,4}); 

    ResponseJsonUtils.json(response, data);
  } 

  /**
   * 返回JSONP数据
   * @param callback JSONP的回调函数
   * @param request
   * @param response
   */
  @RequestMapping("/jsonp.do")
  public void json(String callback, HttpServletRequest request, HttpServletResponse response){
    Map&lt;String, Object&gt; data = new HashMap&lt;String, Object&gt;(); 

    data.put("date", new Date());
    data.put("email", "accountwcx@qq.com");
    data.put("age", 30);
    data.put("name", "csdn");
    data.put("array", new int[]{1,2,3,4}); 

    if(callback == null || callback.length() == 0){
      //如果客户端没有发送回调函数，则使用默认的回调函数
      ResponseJsonUtils.jsonp(response, data);
    }else{
      //使用客户端的回调函数
      ResponseJsonUtils.jsonp(response, callback, data);
    }
  }
}
</pre>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索java<br />
                    ，                web<br />
                                    json<br />
                                    nginx返回json字符串、ajax 返回json 字符串、java返回json字符串、php 返回json字符串、json 返回字符串，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-18 06:48:15</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/json/" title="json">json</a>, <a href="https://www.iamivan.net/tag/web/" title="web">web</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Java Web程序实现返回JSON字符串的方法总结_java的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPl21mp.html" rel="bookmark">Java Web开发项目中中文乱码解决方法汇总&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java Web项目中,解决中文乱码方法总结如下 第一种情况:调用jsp页面中文显示乱码问题描述:通过浏览器调用jsp页面,在浏览器中显示的中文内容出现乱码. 解决方法:首先确认本jsp在编辑器中保存文件内容时,使用的是utf-8的编码格式,然后在jsp页面的开始处添加&lt;%@ pageEncoding=&quot;utf-8&quot;%&gt;就可以解决这种中文乱码问题 第二种情况:调用servlet页面显示乱码问题描述:通过浏览器调用servlet,servlet在浏览器中显示的内容出现乱码.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Q93np.html" rel="bookmark">Java Web程序中利用Spring框架返回JSON格式的日期&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				返回Json时格式化日期Date第一步:创建CustomObjectMapper类 /** * 解决SpringMVC使用@ResponseBody返回json时,日期格式默认显示为时间戳的问题.需配合&lt;mvc:message-converters&gt;使用 */ @Component(&quot;customObjectMapper&quot;) public class CustomObjectMapper extends ObjectMapper { public CustomObjectM			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZBXNBz.html" rel="bookmark">c&plus;&plus;-C&plus;&plus; 调用Jni 返回json字符串时产生的问题，穿入参数后返回的字符串是空的</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 C++ 调用Jni 返回json字符串时产生的问题,穿入参数后返回的字符串是空的 java代码如下: package com.iscas.test; import java.util.ArrayList; import com.google.gson.Gson; import net.sf.json.JSONSerializer; public class Test { public String getItemList(int id,String name,float score)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5WdLAb.html" rel="bookmark">快速解决owin返回json字符串多带了双引号&amp;quot&semi;多了重string转义字符串&lowbar;C&num;教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				解决方法: [HttpGet] public HttpResponseMessage getsystemtime() { cltime time = new cltime(); time.datetime = DateTime.Now.ToString(&quot;yyyy-MM-dd HH:mm:ss&quot;); string relsut = JsonConvert.SerializeObject(time); var resp = new HttpResponseMessage { Conten			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRqXWqb.html" rel="bookmark">java web 程序  可不可以在客户端运行键盘钩子  要 怎么做？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java web 程序 可不可以在客户端运行键盘钩子 要 怎么做? 50C java web 程序 可不可以在客户端运行键盘钩子 要 怎么做? 解决方案 可以试一下ActiveX控件+DLL的方式 解决方案二: web程序本身进程来加载键盘hook DLL 解决方案三: 亲们 帮帮忙 最后一哆嗦了 解决方案四: 这个是个现成的程序你参考一下:http://download.csdn.net/detail/qwe852012/1720478 解决方案五: 在服务端是可以 我要的是在客户端			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bamQ1mb.html" rel="bookmark">Java web程序eclipse调试出现source not found错误</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Java web程序eclipse调试出现source not found错误 大牛指点一下,以下是详细错误信息: HTTP Status 500 - Request processing failed; nested exception is java.lang.NullPointerException type Exception report message Request processing failed; nested exception is java.lang.Null			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBZjlab.html" rel="bookmark">求大神-如何获取后台数据库里面的数据，返回JSON字符串，并把JSON字符串解析添加到ListView中</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如何获取后台数据库里面的数据,返回JSON字符串,并把JSON字符串解析添加到ListView中 如何获取后台数据库里面的数据,返回JSON字符串,并把JSON字符串解析添加到ListView中 解决方案 写一个http接口,组织好json数据,客户端接收,可以用gson直接转成对应的对象,listview需要一个List数据源,你把后台传来的数据放到list中,然后adapter的getview中处理显示 解决方案二: Newtonsoft.Json.dll有你想要的 解决方案三:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MydKydb.html" rel="bookmark">在Java web应用中，处理字符串是用stringbuffer还是stringbuilder</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 在Java web应用中,处理字符串是用stringbuffer还是stringbuilder 两者之间的差别就在于线程安全的问题上.一直都搞不明白,在web应用中多次请求同一个方法,需不需要考虑线程安全问题. 在这种情况下,是需要使用哪一个.是不是还应该分局部变量和全局变量来说. 刚接触这个,求大神们解答,实在搞混了 解决方案 StringBuffer 与 StringBuilder 中的方法和功能完全是等价的,只是StringBuffer 中的方法大都采用了 synchronize			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2RXK3b.html" rel="bookmark">java web程序&comma;防止用户暴力破解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java web程序,防止用户暴力破解 最近项目需要增加一个防止用户多次登录的程序,类似于163邮箱的登录失败五次,30分钟后才可以登录,这个思路是什么 解决方案 在数据库中增加两个字段 lasttrycount lasttrydate 密码输错 lastdate记录当前时间,lasttrycount + 1 如果lasttrycount = 5并且now - lasttrydate &lt;半小时,不许登录 如果密码输入正确,lasttrycount=0 解决方案二: 个人思路,说的不好请			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJe36p.html" rel="bookmark" class="title">pyqt-求问一个PyQt的问题，退出时候内存错误</a>
					<div>
						问题描述 求问一个PyQt的问题,退出时候内存错误 1C 写了一个pyqt的程序,有多个tab页,其中一个tab页是通过matplotlib画图,当这个模块存在时,整个程序在退出的时候就会出现exit ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9Mx8qGM.html" rel="bookmark" class="title">SQL Server bcp 实用工具</a>
					<div>
						server  bcp 实用工具bcp 实用工具在 Microsoft SQL Server 2000 实例和数据文件之间以用户指定的格式复制数据.语法bcp {[[database_name.][o ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaxd2z.html" rel="bookmark" class="title">案例分析：淘客单页面百度流量逾3~4万</a>
					<div>
						今天在群里面看到被很多人热推的一个站,不禁也拿来观摩了一下.话不多少,一步步的往下看.   看到这我相信大家都眼前一亮,6个多月的站点,百度指数6823的都排在第一位了,而且还有不少的词排名都是首页第 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8Xnxp.html" rel="bookmark" class="title">戏说seo之伤 囧境待破</a>
					<div>
						为何seoer每到一个地方发帖,都成了那个地方负责人眼中的广告水帖?从新闻源的Donews专栏上,就可以看到大批量的水帖,都是为了做排名的seo,奔着一个为了seo而做seo的,必定不会长久.近期也清 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze44NNp.html" rel="bookmark" class="title">使用Web services和Ajax实现数据自动录入</a>
					<div>
						编程思想的一些背景知识 美国邮政管理局 (USPS) 提供了多个 Web services.这些 Web services 之一接受邮政区码并返回相应的城市和州的名称.在本文的示例应用程序中,您将使用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RDPjp.html" rel="bookmark" class="title">Excel中删除重复数据</a>
					<div>
						请仔细阅读并修改相关数据. 1.打开有重复数据的EXCEL 2.Alt+F11 打开宏编辑器 3.左边双击:ThisWorkBook 4.贴入以下代码并运行即可: Sub 删除重复数据() '删除co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRjLYz.html" rel="bookmark" class="title">在SWT中使用OLE操作Excel（二）：为Excel的A1单元格赋值</a>
					<div>
						代码: packagecom.jrkui.example.excel; import java.io.File;import org.eclipse.swt.SWT;import org.eclips ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKqj3M.html" rel="bookmark" class="title">怎么用搜狗打不认识的字</a>
					<div>
						现在的生僻字实在是太多了,有时候遇到一个即不会拼又不会用五笔打的字怎么办呢?相信使用搜狗输入法的朋友有很多吧,下面小编就来告诉大家怎么用搜狗打不认识的字. 调到搜狗中文输入状态,摁一下u键,此时输入法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1V6Gz.html" rel="bookmark" class="title">固定宽高且DIV绝对居实现思路及示例</a>
					<div>
						DIV绝对居中且固定宽高在某些情况下还是比较实用的,具体的实现思路及样式如下,喜欢的朋友可以参考下,希望对大家有所帮助   看了一些代码,然后自己试验了一番,分享如下示例: 实现点: 如果元素的宽高固 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB23Bdb.html" rel="bookmark" class="title">教你用PowerPoint制作文艺相框</a>
					<div>
						  今天小编来教大家简单使用PowerPoint制作文艺相框,让你PPT中图片展现出独特风格,而且操作也非常简单哦!一起来学习一下吧. PPT技巧 教你用PowerPoint制作文艺相框 第一步:插入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8R32b.html" rel="bookmark" class="title">Phogtoshop CS6详细解析3D模块的使用技巧</a>
					<div>
						  有人问我&quot;这个3d效果怎么来实现,那个3d效果怎么来实现&quot;.后来我想了想.只有大家都理解3d里面各个功能是做什么用的,大家想做什么效果就做什么效果!首先我讲解一下各功能是做什么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EVX3M.html" rel="bookmark" class="title">servlet-java web无法调用含有&commat;WebServlet&lpar;&amp;amp&semi;amp&semi;quot&semi;&amp;amp&semi;amp&semi;quot&semi;&rpar;的java方法</a>
					<div>
						问题描述 java web无法调用含有@WebServlet(&quot;&quot;)的java方法 我想问一下,我这样要怎么才能调用src里包里的java方法? web.xml: &lt;?xml ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72rgdp.html" rel="bookmark" class="title">统一的Json组件和csv下载组件</a>
					<div>
						java-web-common java-web-common Json组件 目标和用途 规范Json接口格式 Controller中一律返回Java object,组件将自动转换数据格式,满足Jso ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24O1kp.html" rel="bookmark" class="title">网站搭建-用mysql&plus;apache&plus;phpmyadmin搭建php环境</a>
					<div>
						问题描述 用mysql+apache+phpmyadmin搭建php环境 用mysql+apache+phpmyadmin搭建php环境,进入phpadmin提示用户名密码错误,但我确实是对的请问有大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7040z.html" rel="bookmark" class="title">lcdnumber-Qt中LCDNumber清零初始化</a>
					<div>
						问题描述 Qt中LCDNumber清零初始化 我在做嵌入式MP3编码,想用LCDNumber显示播放时间,如何将模块时间清零,然后实现音乐播放时的时间同步?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJk4w6b.html" rel="bookmark" class="title">spark streaming 中使用saveAsNewAPIHadoopDataset方法写入hbase中，从checkpoint中恢复时报错</a>
					<div>
						问题描述 最近写了一个从Kafka读取数据,处理之后通过saveAsNewAPIHadoopDataset方法写入到hbase中,正常运行的时候没有报错,写入也正常,但是当手动停止应用,再次执行(通过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7BvAz.html" rel="bookmark" class="title">listview-Android中空指针异常的具体错误改正</a>
					<div>
						问题描述 Android中空指针异常的具体错误改正 import java.sql.Date; import java.text.SimpleDateFormat; import java.util. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmaO9M.html" rel="bookmark" class="title">c&plus;&plus;-为什么IDE上运行正常在文件夹中打开却不能正常运行&lpar;C&plus;&plus;&rpar;</a>
					<div>
						问题描述 为什么IDE上运行正常在文件夹中打开却不能正常运行(C++) #include#include#include#include#includeusing namespace std; int ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKX77b.html" rel="bookmark" class="title">研究Erlang 4000小时以后</a>
					<div>
						问题描述 历经2年半,花了4000小时以后,对erlang的研究有了很大的进步,从原来的兴趣, 到现在的随意的crack, 调优,改进, 指导erlang程序架构的设计,中间经历了很多. 从一个有20 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7R1aM.html" rel="bookmark" class="title">上千种恶性病毒&OpenCurlyDoubleQuote;搭&rdquo;上不雅视频</a>
					<div>
						本报讯 (记者 马亚宁)据瑞星&quot;云安全&quot;系统统计,近期互联网上大量疯传&quot;兽兽门&quot;&quot;张雅茹&quot;和&quot;工行女&quot;等不雅视频,上千种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgR598b.html" rel="bookmark" class="title">eden space 100 used-jvm内存怎么设置&comma;以及如何优化代码</a>
					<div>
						问题描述 jvm内存怎么设置,以及如何优化代码 写了一个web程序,可以根据输入的内容抓取网口信息以及串口信息,分别使用了: Jpcap.dll,rxtxSerial.dll 单独开一个测试时正常,但 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RjB7z.html" rel="bookmark" class="title">专访知道创宇：我们最先定性12306泄密事件</a>
					<div>
						元旦临近.春节将至,火车票预订进入旺季,但是在12月25日上午,一则关于中国铁路购票网站12306的漏洞报告出现在了国内某知名漏洞公布平台上,该报告称12306网站存在&quot;用户资料大量泄漏&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwW6Enz.html" rel="bookmark" class="title">Linux中如何查看显卡硬件信息</a>
					<div>
						图形处理器(GPU)又称视觉处理单元(VPU),又称显示核心.视觉处理器.显示芯片,是一种专门在个人电脑.工作站.游戏机和一些移动设备(如平板电脑.智能手机等)上运行绘图运算工作的微处理器.图形处理器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgaXkM.html" rel="bookmark" class="title">分享几个分析网站优化水平的方法</a>
					<div>
						摘要: 我们在做SEO优化的时候,找友情链接都想找比自己网站权重高的网站,但是通常权重高的网站都是很看不起权重小的网站,如果能够在一个新站中找到一匹黑马,它绝对能够给你的网站 我们在做SEO优化的时候 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZEdEp.html" rel="bookmark" class="title">jQuery的一个变换class效果问题</a>
					<div>
						问题描述 $(document).ready(function() { $(&quot;.ball_r&quot;).click( function(){ $(this).removeClass(&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodOWBM.html" rel="bookmark" class="title">强大的CImage类</a>
					<div>
						这下有了CImage类,处理其他类型的图片不再寻找第三方类库了.加载到对话框背景的代码如下:  //从资源里载入背景JPEG图片 HRSRC hRsrc=::FindResource(AfxGetRe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M609XXz.html" rel="bookmark" class="title">屏幕扩展软件 iDisplay 推出Android版</a>
					<div>
						ihttp://www.aliyun.com/zixun/aggregation/16502.html&quot;&gt;Display原是IPad上的软件,软件功能是能把IPAD的屏幕成为PC端的延 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqAqOb.html" rel="bookmark" class="title">mysql存储过程及常用函数</a>
					<div>
						原文:mysql存储过程及常用函数 一.函数 1.数学函数 CEIL()进一取整 SELECT CEIL(1.2);2 FLOOR()舍一取整 SELECT FLOOR(1.9);9 MOD取余数(取 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRoojp.html" rel="bookmark" class="title">你在编程的时候浪费了多少时间？</a>
					<div>
						如果你正在阅读这篇文章,那么你很有可能和我一样,也是程序员.无论你是自由职业者还是合同工,时间是你最宝贵的资源之一. 不过,开发人员常常发现自己被困在项目中,因为不注重管理他们的时间. 这篇文章提供了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnRNlM.html" rel="bookmark" class="title">wamp mysql5&period;6&period;17 的中文乱码该怎么解决 ？？？</a>
					<div>
						问题描述 wamp mysql5.6.17 的中文乱码该怎么解决 ??? wamp mysql5.6.17 的中文乱码该怎么解决 ??? 解决方案 在phpmyadmin中:新建一个数据库,修改数据库 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.022 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
